'''
Tests for unstack.app.logger.
'''

import time
from tests.fixtures import logger

def test_init(logger):
	assert logger.iso_8601 == '%Y-%m-%d %H:%M:%S'
	assert logger.config

def test_call(logger, capsys):
	logger('Test {}', 'foo')
	out, err = capsys.readouterr()
	assert out == '[{}] Test foo\n'.format(logger.get_timestamp())

def test_get_timestamp(logger):
	stamp = logger.get_timestamp()
	assert stamp == time.strftime('%Y-%m-%d %H:%M:%S', time.gmtime())
