'''
Tests for unstack.http.data.request.
'''

from tests.fixtures import request

def test_init(request):
	assert request.string  == 'GET / HTTP/1.1\nFoo: bar'
	assert request.address == ('127.0.0.1', 8080)
	assert request.verb  == 'GET'
	assert request.path  == '/'
	assert request.mode  == 'HTTP/1.1'
	assert request.route == ('GET', '/')

def test_str(request):
	assert str(request) == 'GET /'

def test_parse_string(request):
	verb, path, mode, headers = request.parse_string('GET / HTTP/1.1\nFoo: bar')
	assert (verb, path, mode) == ('GET', '/', 'HTTP/1.1')
	assert headers.headers == {'Foo': 'bar'}

	verb, path, mode, headers = request.parse_string('GET / HTTP/1.1')
	assert (verb, path, mode) == ('GET', '/', 'HTTP/1.1')
	assert headers.headers == {}
