'''
Run Unstack as a module, showing a simple demo app.
'''

from unstack import App
from unstack.tpls import HTML

app = App()

html = HTML('''
<html>
<head>
	<title> Welcome to Unstack! </title>
	<link rel="stylesheet" href="/style">
</head>
<body>
	<div>
		<h1> Welcome to Unstack! </h1>
		<p>
			Hello and welcome to <a href="http://unstack.org">Unstack</a>,
			your brand-new web application stack and framework.
		</p>
		<p>
			What you're seeing here is a demo application that occurs when
			you run <code>python -m unstack</code>. Please consult the
			<a href="http://unstack.org/projects/unstack/wiki">documentation</a>
			for instructions on how to build your own web apps.
		</p>
	</div>
</body>
</html>
''')

css = '''
    body {
        background-color: #f0f0f2;
        margin: 0;
        padding: 0;
        font-family: sans-serif;
    }
    div {
        width: 75%;
        margin: 2em auto;
        padding: 2rem;
        background-color: #fff;
        border-radius: 1rem;
    }
'''

@app.get('/')
def index():
	return html.render()

@app.get('/style', content_type='text/css')
def style():
	return css

if __name__ == '__main__':
	app.run()
