'''
Default constants.
'''

CONFIG = {
	'host': '0.0.0.0',
	'port': 8080,
	'recv_size': 4096,
	'wait_time': 0.10,
	'pid_path': 'unstack.pid',
	'daemonise': False,
}

RESPONSE_HEADERS = {
	'Connection':   'close',
	'Content-Type': 'text/html',
}

HTTP_CODE_TEXT = {
	200: 'OK',
	404: 'Not Found',
	500: 'Internal Server Error'
}

def index():
	return '''
	Welcome to Unstack! You're seeing this because you don't have any
	routes set up.
	'''

def error_404(error):
	return '''
	404! Sorry, this route does not exist: <code>{}</code>
	'''.format(error)

def error_500(error):
	return '''
	500! The server has suffered the following error: <code>{}</code>
	'''.format(error)

ROUTES = {
	('GET', '/'): index,
	404: error_404,
	500: error_500,
}
