'''
Request class.
'''

from unstack.http.data.headers import Headers

class Request:
	'''
	A HTTP request.
	'''

	def __init__(self, string, address):
		'''
		Initialise a new Request object.
		'''

		self.string  = str(string)
		self.address = address
		self.verb, self.path, self.mode, self.headers = \
			self.parse_string(self.string)
		self.route = self.verb, self.path

	def __str__(self):
		'''
		Return the Request as a string.
		'''

		return '{} {}'.format(*self.route)

	def parse_string(self, string):
		'''
		Return the verb, path, mode and headers from a HTTP request string.
		'''

		lines = string.splitlines()
		verb, path, mode = lines[0].split(' ')
		headers = Headers(lines[1:]) if len(lines) > 1 else Headers({})
		return verb, path, mode, headers
