'''
Response class.
'''

from unstack.app.defaults import RESPONSE_HEADERS, HTTP_CODE_TEXT
from unstack.http.data.headers import Headers

class Response:
	'''
	A HTTP response.
	'''

	def __init__(self, request, code, body, headers):
		'''
		Initialise a new Response object.
		'''

		self.request = request
		self.code = int(code)
		self.body = str(body)
		self.text = HTTP_CODE_TEXT[code]
		self.headers = Headers(RESPONSE_HEADERS, headers)

	def __str__(self):
		'''
		Return the Response as a communicable string.
		'''

		return '{} {} {}\n{}\n\n{}'.format(
			self.request.mode,
			self.code,
			self.text,
			self.headers,
			self.body,
		)
